Subject: Re: [COSE] Murray Kucherawy's No Objection on draft-ietf-cose-x509-07: (with COMMENT)

From: Ivaylo Petrov <[email-masked]>
Date: Sun, 1 Nov 2020 19:50:56 +0100

Hello Murray,

Thank you for your review! Please find my answers below.

On Thu, Oct 22, 2020 at 8:44 AM Murray Kucherawy via Datatracker <
[email-masked]> wrote:

> Murray Kucherawy has entered the following ballot position for
> draft-ietf-cose-x509-07: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-cose-x509/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> I would like to add my thanks to Jim Schaad for this document, and for all
> of
> his other contributions to the IETF.
>
> --
>
> Section 1 includes a GitHub URL where the reader can find examples.  Is
> this
> acceptable as a permanent reference?
>

[IP]: Currently that reference has been removed as there were no examples
related to this draft. Otherwise I would have had to check what exactly is
our policy about this as the repository is controlled by the COSE WG, but
github not.

Section 2:
>
> * "... will evaluate and process of X.509 certificates ..." -- remove "of"?
>

[IP]: Done.

> * "... and be configured use ..." -- add "to"?
>

[IP]: Done.

>
> * The first paragraph of the "x5t" bullet seems to have a couple of
> sentences
> smashed together at the end.
>

[IP]: I tried to make it easier to read [1], please let me know if that is
what you meant.

> * Has the note about the AD Review comments in this section been resolved?
>

[IP]: My understanding is that unless there are new comments on the topic,
for now we just mandate the support of 'SHA-256'.

[1]:
https://github.com/cose-wg/X509/commit/515aa080642ab13710429f02245c9c51c297e306